Mandriva Linux 安全性公告:nodejs (MDVSA-2015:228)

critical Nessus Plugin ID 83274

Synopsis

遠端 Mandriva Linux 主機缺少安全性更新。

描述

更新版 nodejs 套件可修正安全性弱點:

據發現,libuv 在呼叫 setuid/setgid 之前未呼叫 setgoups。這可能會允許攻擊者取得提升的權限 (CVE-2015-0278)。

libuv 程式庫隨 nodejs 提供,且 0.10.37 版以後的 nodejs 中會隨附已修正的 libuv 版本。nodejs 套件已更新至 0.10.38 版,可修正此問題及其他數個錯誤。

解決方案

更新受影響的 nodejs 套件。

另請參閱

http://advisories.mageia.org/MGASA-2015-0186.html

Plugin 詳細資訊

嚴重性: Critical

ID: 83274

檔案名稱: mandriva_MDVSA-2015-228.nasl

版本: 1.5

類型: local

已發布: 2015/5/7

已更新: 2021/1/14

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Critical

基本分數: 10

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

弱點資訊

CPE: p-cpe:/a:mandriva:linux:nodejs, cpe:/o:mandriva:business_server:2

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

修補程式發佈日期: 2015/5/6

參考資訊

CVE: CVE-2015-0278

MDVSA: 2015:228